%define realname openldap
## Lines below and scripts for ssl crtificate gets from stunnel package
%define _pemdir %_var/lib/ssl/certs

%def_disable sasl
%def_enable krb
%def_enable guide
%def_disable test
%def_disable openldap-debug
%def_enable sql
%def_disable perl

Name: openldap
Version: 2.1.23
Release: alt3
%define so_maj 2

Summary: LDAP libraries and sample clients
License: OpenLDAP Public License
Group: System/Servers
Url: http://www.openldap.org/
Packager: Serge A. Volkov <vserge@altlinux.ru>

# OpenLDAP source
Source: ftp://ftp.OpenLDAP.org/pub/OpenLDAP/%name-release/%name-%version.tar.bz2

# Docs for this products
Source1: %name-guide-2.1.tar.bz2
Source2: openldap-README.upgrading
Source3: openldap-README.ALT

# System Specific source
Source11: openldap.sysconfig
Source12: openldap-slapd.init
Source13: openldap.logrotate
Source14: openldap-slurpd.init

Source21: %name-gencert.sh
Source22: %name-slapd.cnf

# Extended OpenLDAP schemas
Source50: %name-addon-schemas.tar.bz2
Source51: %name-ALT-rootdse.ldif

### PATCHES

Patch4: %name-2.0.7-module.patch
Patch5: %name-2.1.19-ALT-Masato-Taruishi-030326.patch
Patch6: %name-ALT-0.10-slapd.conf.patch
Patch7: %name-1.2.11-RH-cldap.patch
Patch8: %name-2.1.13-RH-syslog.patch

## This patch need to regenerate !!!
Patch13: %name-2.0.17-RH-shell-backend-Makefile.patch
## For support libtinfo but it's may be not need, becose utils "ud" removed
Patch14: %name-2.0.25-ALT-configure-tinfo.patch
Patch15: %name-ALT-OLAG.patch
Patch16: %name-2.1.20-ALT-test-dinamic-modules.patch
Patch17: %name-mark-benson-030616.patch
## Patch From Dmitry Lebkov <dima@sakhalin.ru>
Patch18: %name-ALT-DLebkov-schema.patch
## Patch created by Alexander Bokovoy <ab@altlinux.ru>
Patch19: %name-2.1.21-alt-pid.patch
Patch20: %name-2.1.22-autoconf-2.5-alt.patch
Patch21: %name-2.1.22-makefile-lber-alt.patch

### REQUIRE Section

PreReq: libldap = %version-%release

%set_autoconf_version 2.5
%set_automake_version 1.6
%set_libtool_version 1.5
BuildPreReq: autoconf_2.5, automake_1.6, libtool_1.5

BuildPreReq: rpm-build >= 4.0.4-alt10
# For Build package with BDB we need libdb4.1
BuildPreReq: libdb4.1-devel

%if_enabled guide
# For compile documentations need "sdf".
BuildPreReq: sdf >= 2
%endif
%if_enabled sasl
BuildPreReq: libsasl2-devel
%endif
%if_enabled krb
BuildPreReq: libkrb5-devel
%endif
%if_enabled sql
BuildPreReq: libunixODBC-devel
BuildPreReq: libunixODBC-devel-static
%endif
%if_enabled perl
BuildPreReq: perl-devel
%endif

# Automatically added by buildreq on Tue Sep 02 2003
BuildRequires: libkrb5-devel >= 1.3.1 libltdl-devel libncurses-devel
BuildRequires: libreadline-devel libsasl2-devel libssl-devel libtinfo-devel libwrap-devel
BuildRequires: libpam-devel zlib-devel

%package -n libldap
Summary: OpenLDAP libraries
Group: System/Libraries
Conflicts: %name < %version-%release
%if_enabled krb
Requires: libkrb5
%endif
%if_enabled sasl
Requires: libsasl2
%endif

%package -n libldap-devel
Summary: OpenLDAP development libraries and header files
Group: Development/C
Provides: openldap-devel = %version
Requires: libldap = %version-%release
Obsoletes: openldap-devel
%if_enabled krb5
Requires: libkrb5-devel
%endif
%if_enabled sasl
Requires: libsasl2-devel
%endif

%package -n libldap-devel-static
Summary: OpenLDAP development static libraries
Group: Development/C
Provides: openldap-devel-static = %version
Requires: libldap-devel = %version-%release
Obsoletes: openldap-devel-static

%package servers
Summary: LDAP servers
Group: System/Servers
PreReq: libldap = %version-%release, %name = %version-%release, coreutils, shadow-utils, libunixODBC, service >= 0.3, openssl
Requires: gawk
%if_enabled perl
Requires: perl
%endif

%package clients
Summary: LDAP utilities, tools and sample clients
Group: Networking/Remote access
PreReq: libldap = %version-%release, %name = %version-%release

%if_enabled guide
%package guide
Summary: OpenLDAP administration guide
Group: Books/Computer books
Requires: %name = %version-%release
%endif

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install %name if you need to run LDAP-based applications and tools.

%description -n libldap
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

This package contains shared libraries needed for make works %name-based softare.

%description -n libldap-devel
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

This package includes the development libraries and header files needed
for developing applications that use LDAP internals. Install this package
only if you plan to develop or will need to compile customized LDAP clients.

%description -n libldap-devel-static
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

This package includes the static libraries needed for developing statically
linked applications that use LDAP internals.

%description servers
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install %name-servers if you need LDAP servers.

%description clients
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install %name-client if you need LDAP applications and tools.

%if_enabled guide
%description guide
OpenLDAP Administration Guide
HTML and TXT versions
%endif

%prep
%setup -q

%patch4 -p1 -b .module
### Don't backup files, becose it's brake tests
%patch5 -p0
%patch16 -p3
%patch6 -p1  -b .altconf
%patch7 -p1  -b .cldap
%patch8 -p1 -b .syslog
%patch13 -p0 -b .sbmodule-dynamic
%patch14 -p1 -b .conf-tinfo

install -p -m644 %SOURCE2 ./README.upgrading

### Extract Administrator Guide to sourcedoc dir
pushd doc
tar -jxf %SOURCE1
pushd openldap-guide-2.1
%patch17 -p0 -b .repl
popd
popd

# Add some more schema for the sake of migration scripts and others
pushd servers/slapd/schema
tar -jxf %SOURCE50
popd

pushd servers/slapd/schema
### For testing only enable -b
###%patch18 -p1 -b .shorig
%patch18 -p1
popd

### Fix sdf  compilations
%patch15 -p1 -b .OLAG

### Fix removal of pid file when running check
%patch19 -p1

### Fix build
%patch20 -p1
%patch21 -p1

%build
##%%undefine __libtoolize
export ac_cv_path_SENDMAIL=/usr/sbin/sendmail
export ac_cv_path_FINGER=/usr/bin/finger
###
##  Made OpenLDAP with SASL and Kerboros
###

%if_enabled krb
export CPPFLAGS="`krb5-config --cflags`"
export CPATH="`krb5-config --cflags`"
export LDFLAGS="`krb5-config --libs`"
%endif

# Options -lresolv in line below need for some bad configure scripts like in auth_ldap package
export LDFLAGS="$LDFLAGS -lresolv"
export CPPFLAGS="$CPPFLAGS -DNEW_LOGGING=1"

rm aclocal.m4
aclocal
autoconf
chmod -R u+x .

# This is required for building buildrequires
%if "%__buildreqs" == "1"
export ol_cv_pthread_pthread=yes
export ol_cv_pthread_create_works=yes
export ol_cv_pthread_select_yields=yes
%endif

# This is a hack for work configure scripts
# It's needs while OpenLDAP project migrate to normal  version of autoconf
touch build/install.sh

echo "## define common configure flags"
COMMONFLAGS="--libexecdir=%_sbindir \
	--localstatedir=%_var/run \
	--enable-syslog \
	--disable-ipv6 \
	--disable-x-compile \
	--with-readline \
	--with-threads \
	--with-tls=openssl \
        --with-yielding-select \
	--enable-slapd \
	--enable-crypt \
        --enable-cleartext \
	--enable-modules \
	--enable-wrappers \
	--enable-aci \
	--enable-dynamic \
	--enable-slurpd \
	--enable-phonetic \
	--enable-rewrite \
	--enable-multimaster \
	"

echo "## define modules flags"
### Perl module removed becouse not compile in TODO now.
MODULESFLAGS="\
	--enable-bdb \
	--with-bdb-module=dynamic \
	--enable-ldap \
	--with-ldap-module=dynamic \
	--enable-ldbm \
	--with-ldbm-api=berkeley \
	--with-ldbm-module=dynamic \
	--with-ldbm-type=btree \
	--enable-meta \
	--with-meta-module=dynamic \
	--enable-monitor \
	--with-monitor-module=dynamic \
	--enable-null \
	--with-null-module=dynamic \
	--enable-passwd \
	--with-passwd-module=dynamic \
	--enable-shell \
	--with-shell-module=dynamic \
	--enable-dnssrv \
	--with-dnssrv-module=dynamic \
	--enable-glue \
	"

%configure \
	$COMMONFLAGS \
	$MODULESFLAGS \
%if_enabled krb
	--with-kerberos \
	--enable-kpasswd \
%elseif
	--without-kerberos\
%endif
%if_enabled sql
	--with-sql-module=dynamic \
	--enable-sql	\
%else
	--without-sql-module \
%endif
%if_enabled sasl
        --with-cyrus-sasl \
	--enable-spasswd \
%elseif
	--without-cyrus-sasl \
%endif
%if_enabled perl
	--enable-perl \
	--with-perl-module=dynamic \
%elseif
	--disable-perl \
%endif
%if_enabled openldap-debug
	--enable-debug
%endif

%make depend
%make

%if_enabled test
%if "%__buildreqs" != "1"
#If test is OK in compilation time that's ALL OK.
### Remark all test while back_bdb will be work
%make_build test
###pushd tests
###%%make bdb
###%%make ldbm
###%%make passwd
###%%make test-nis-schema
###popd
%endif
%endif ### test
make
%if_enabled guide
# Build Administrator Guide
pushd doc/%name-guide-2.1/admin
echo "Generating Guide in HTML."
sdf -2topics index.sdf
echo "Generating Guide in TXT"
sdf -2txt guide.sdf
popd
%endif ### with guide

%install
%make   DESTDIR=$RPM_BUILD_ROOT \
	sysconfdir=%_sysconfdir/%name \
	datadir=%_datadir/%name \
	install

###
## Install all slapd's file
###

# If ldapadd and ldapmodify are the same, make them a soft link.
if [ ! -x "$RPM_BUILD_ROOT%_bindir/ldapadd" -o $cmp $RPM_BUILD_ROOT%_bindir/ldapadd $RPM_BUILD_ROOT%_bindir/ldapmodify ] ; then
	ln -snf ldapadd $RPM_BUILD_ROOT%_bindir/ldapmodify
fi

# Create the var data directory.
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/ldap
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/ldap/bases
%__mkdir_p $RPM_BUILD_ROOT%_localstatedir/ldap/replica

# Install init scripts.
install -pD -m644 %SOURCE11 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ldap
install -pD -m755 %SOURCE12 $RPM_BUILD_ROOT%_initdir/slapd
install -pD -m755 %SOURCE14 $RPM_BUILD_ROOT%_initdir/slurpd

### log repository and logrotate config
%__mkdir_p $RPM_BUILD_ROOT%_logdir/ldap
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/logrotate.d
install -pD -m640 %SOURCE13 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/ldap

### gencert.sh
install -pD -m755 %SOURCE21 $RPM_BUILD_ROOT%_datadir/%name/gencert.sh

# Get the buildroot out of the installed files
find $RPM_BUILD_ROOT{%_sysconfdir,%_mandir} -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_ROOT" |
	xargs -r0 %__subst -p "s|$RPM_BUILD_ROOT||g" --

# We don't need the default files - let's move it.
%__mkdir_p $RPM_BUILD_ROOT%_datadir/%name/default/schema
mv $RPM_BUILD_ROOT%_sysconfdir/%name/*.default \
	$RPM_BUILD_ROOT%_datadir/%name/default/
mv $RPM_BUILD_ROOT%_sysconfdir/%name/schema/*.default \
	$RPM_BUILD_ROOT%_datadir/%name/default/schema/

# Purge dependency_libs from .la files.
%__subst -p 's/^\(dependency_libs=\).*/\1'\'\'/ $RPM_BUILD_ROOT%_libdir/%name/*.la

# Relocate some shared libraries from %_libdir/ to /lib/.
%__mkdir_p $RPM_BUILD_ROOT/lib
pushd $RPM_BUILD_ROOT%_libdir
	for n in ldap lber; do
		%__mv lib$n.so.%{so_maj}* ../../lib/
		%__ln_s -nf ../../lib/lib$n.so.%so_maj lib$n.so
	done
popd

chmod 644 $RPM_BUILD_ROOT%_sysconfdir/%name/schema/*
### Install ALT-rootdse.ldif
install %SOURCE51 servers/slapd/schema/ALT-root-DSE.ldif

# Install documentation.
%__mkdir_p $RPM_BUILD_ROOT%_docdir/%name-%version
cp -a doc/{devel,drafts,rfc} $RPM_BUILD_ROOT%_docdir/%name-%version

# Documentations for servers
cp -a servers/slapd/back-monitor/README $RPM_BUILD_ROOT%_docdir/%name-%version/README-back-monitor
cp -a servers/slapd/back-perl/README $RPM_BUILD_ROOT%_docdir/%name-%version/README-back-perl
cp -ar servers/slapd/back-sql/docs $RPM_BUILD_ROOT%_docdir/%name-%version/back-sql
cp -a servers/slapd/schema/README $RPM_BUILD_ROOT%_docdir/%name-%version/README-schema

## For SSL certificate
cp -a %SOURCE22 $RPM_BUILD_ROOT%_datadir/%name

%if_enabled guide

# Install Administration Guide to HTML docdir
%__mkdir_p $RPM_BUILD_ROOT%_docdir/HTML/en/OpenLDAP-Guide
cp -a doc/%name-guide-2.1/admin/*.gif $RPM_BUILD_ROOT%_docdir/HTML/en/OpenLDAP-Guide/
cp -a doc/%name-guide-2.1/admin/*.html $RPM_BUILD_ROOT%_docdir/HTML/en/OpenLDAP-Guide/

# Install Administration Guide to %name-%version dir.
cp -a doc/%name-guide-2.1/admin/guide.txt $RPM_BUILD_ROOT%_docdir/%name-%version/
%endif

install -p -m644 ANNOUNCEMENT CHANGES COPYRIGHT README README.upgrading $RPM_BUILD_ROOT%_docdir/%name-%version

### VAS
# Install SQL backend examples
%__mkdir_p $RPM_BUILD_ROOT%_datadir/%name
cp -a servers/slapd/back-sql/rdbms_depend $RPM_BUILD_ROOT%_datadir/%name

%post -n libldap -p /sbin/post_ldconfig
%postun -n libldap -p /sbin/postun_ldconfig

%pre servers
# Take care to only do ownership-changing if we're adding the user.
/usr/sbin/groupadd -r -f ldap
/usr/sbin/useradd  -r -c "LDAP User" -g ldap -u 55 -s /dev/null -d %_localstatedir/ldap ldap &>/dev/null

if [ -d %_localstatedir/ldap ]; then
	for dbfile in %_localstatedir/ldap/*; do
		if [ -f $dbfile ]; then
			chown ldap.ldap $dbfile
		fi
	done
fi

%post servers
%post_service slapd
cd %_pemdir
if [ ! -f slapd.pem ]; then
	umask 077
	echo -e '\n.\n.\n.\n.\n.\n' |
		openssl req -newkey rsa:1024 -x509 -days 365 -nodes -config %_datadir/%name/%name-slapd.cnf -keyout slapd.pem -out slapd.pem &>/dev/null
fi

%preun servers
%preun_service slapd

%files -n libldap
/lib/*
%_libdir/*.so.*

%files -n libldap-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/drafts
%_docdir/%name-%version/rfc

%files -n libldap-devel-static
%_libdir/*.a

##### COMMON
%files
%dir %_sysconfdir/%name
%config %_sysconfdir/%name/ldap*.conf

%dir %_datadir/%name

%_man5dir/ldap.conf.*
%_man5dir/ldif.*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[A-Z]*

##### SERVERS
%files servers
%attr(640,root,ldap) %config(noreplace) %_sysconfdir/%name/slapd*.conf

%dir %_sysconfdir/%name/schema
%config(noreplace) %_sysconfdir/%name/schema/*.schema

%config(noreplace) %_sysconfdir/sysconfig/ldap
%config(noreplace) %_initdir/slapd
%config(noreplace) %_initdir/slurpd
%config(noreplace) %_sysconfdir/logrotate.d/ldap

%_sbindir/*
%_libdir/%name

%dir %_datadir/%name
%_datadir/%name/gencert.sh
%_datadir/%name/default
%_datadir/%name/ucdata
# in TODO
#%%_datadir/%name/rdbms_depend
# For SSL certificate cnf files
%_datadir/%name/%name-slapd.cnf

%attr(770,root,ldap) %dir %_localstatedir/ldap
%attr(770,root,ldap) %dir %_localstatedir/ldap/bases
%attr(770,root,ldap) %dir %_localstatedir/ldap/replica
%attr(770,root,ldap) %dir %_logdir/ldap

%_man5dir/slapd*
%_man8dir/*
%dir %_docdir/%name-%version
#in TODO
#%%_docdir/%name-%version/back-sql

##### CLIENTS
%files clients
%_bindir/*
%_man1dir/*

%if_enabled guide
##### GUIDE
%files guide
%dir %_docdir/%name-%version
%_docdir/%name-%version/guide.txt
%dir %_docdir/HTML/en/OpenLDAP-Guide/
%_docdir/HTML/en/OpenLDAP-Guide/*.html
%endif

###
# TODO
##
# Correct build with sasl
# Translate Admin Guide
# Translate ldap tools and add locale setup
# Change requirements for back_* modules *.la files (dlopen)
# Build perl-backend

%changelog
* Wed Dec 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2.1.23-alt3
- libldap-devel: do not package .la files.
- openldap-servers: purge dependency_libs from .la files.

* Thu Oct 16 2003  Serge A. Volkov <vserge@altlinux.ru> 2.1.23-alt2
- Update slapd configfile patch.

* Mon Oct 13 2003  Serge A. Volkov <vserge@altlinux.ru> 2.1.23-alt1
- Update to new version 2.1.23
- Disable sasl
- Remove patch slurpd-pid - now in mainstream
- Correct server package Requires for libsasl2 and linkrb5
- Update slapd.conf patch

* Thu Oct  9 2003  Serge A. Volkov <vserge@altlinux.ru> 2.1.22-alt12
- Add perl build options to spec, but not enabled it

* Wed Oct  8 2003  Serge A. Volkov <vserge@altlinux.ru> 2.1.22-alt11
- Fixed:
  + slurpd pid file creations
- Add:
  + ALT root DSE ldif
- Remove
  + patch11 MDK for sql-backend it's fix in mainstream

* Mon Sep 29 2003 Alexander Bokovoy <ab@altlinux.ru> 2.1.22-alt10
- Fixed:
  + Missed dependency for libldap-devel on libkrb5-devel
  + Makefile target for liblber which prevented the package from build
  + Build dependencies for libtool -- libtool 1.5 is *required*
- Added:
  + SQL backend build is optional now (needed for AW/XScale project)

* Mon Sep 03 2003 Serge A. Volkov <vserge@altlinux.ru> 2.1.22-alt9
- Spec cleanup
- Enable build with Cirus-sasl libs
- Correct Requires for openldap-servers to openssl
- Correct slapd.conf patch

* Wed Sep 03 2003 Alexander Bokovoy <ab@altlinux.ru> 2.1.22-alt8
- fileutils -> coreutils dependency in openldap-servers

* Tue Sep 02 2003 Serge A. Volkov <vserge@altlinux.ru> 2.1.22-alt7
- Added by Alexander Bokovoy <ab@altlinux.ru>:
  + Samba 3.0 schema as samba3.schema
  + Configure options:
    - --with-yielding-select
    - --enable-cleartext
- Fixed by Alexander Bokovoy <ab@altlinux.ru>:
  + Build with autoconf-2.5/automake-1.6 now
  + Do not remove pid file when just doing check of configuration in slapd
- Spec updated by Alexander Bokovoy <ab@altlinux.ru>, all --with moved to enable/disable
- Spec cleanup, update openldap-README.ALT

* Mon Aug 24 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.22-alt6
- Update slapd.conf (%name-ALT-0.8-slapd.conf.patch): add replogfile
- Add dir %_var/lib/ldap/replica for slurpd
- Update %name.sysconfig: add SLURPDURLLIST

* Mon Aug 24 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.22-alt5
- Replace all addons schemas by one tar file.
- Replace old initscripts "ldap" to new two "slapd" and "slurpd" and update it for Sisyphus
- Update BuildReq
- Update slapd.conf (openldap-ALT-0.7-slapd.conf.patch): add new options and comments

* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 2.1.21-alt4
- Explicitly use old libtool for build.

* Mon Aug 18 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.22-alt3
- Remove %name-conffile.patch, becose with it TLS not work. Thanks Serge Vlasov.

* Sat Jul 19 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.22-alt2
- Add samba3.shema for samba3.0 support
- Rename old samba.schema to samba2.schema
- Add patches:
  - from Dmitry Lebkov for schemas
- Add script from stunnel package for generation ssl certificate
- Update openldap-ALT-slapd.conf.patch for last changes

* Wed Jul 02 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.22-alt1
- Update to version 2.1.22

* Mon Jun 2 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.21-alt1
- Change Release to alt1 for move package from Daedalus to Sisyphus

* Mon Jun 2 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.21-alt0.4
- Add patch for OpenLDAP Admin Guide

* Mon Jun 2 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.21-alt0.3
- Correct Packager:

* Mon Jun 2 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.21-alt0.2
- Correct BuildPreReq: libunixODBC-devel

* Fri May 30 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.21-alt0.1
- Update to new version 2.1.21
- Enable test for ldbm

* Fri May 30 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.20-alt0.2
- Enable back_BDB dynamic
- Add patches:
  - Masato-Taruishi-030326.patch for tests dynamic modules with corrections
  - openldap-2.1.20-ALT-test-dinamic-modules.patch addon for Masato-Taruishi patch
  - update slapd.conf.patch to new version of slapd.conf - see README.ALT
- New version of ldap init script. Update for new version of service-0.3-alt1
- Update README.ALT and rename it to openldap-README.ALT

* Thu May 22 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.20-alt0.1
- Update to version 2.1.20

* Sat May 10 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.19-alt0.2
- Add patch:
  - Masato-Taruishi-030326.patch for tests dynamic modules
  - OLAG.patch - OpenLDAP Administration Guide for correct sdf compilation.
- Docs install cleanup

* Sat May 10 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.19-alt0.1
- Update to new version 2.1.19
- We need fix OpenLDAP ITS#2354 and my new.

* Fri May 09 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.18-alt0.2
- SPEC cleanup and correct e-mail address
- ADD
  - %%If_with {krb,guide,sasl} for future builds
- Build BDB backend by default and make it buildin

* Tue May 06 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.18-alt0.1
- Update to new version 2.1.18

* Mon May 05 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.17-alt0.5
- Reorganize docs structures.

* Sun Apr 13 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.17-alt0.4
- Update initscript
  - Add function check
- Add README.ALT file for log changes which ALT Linux Team will do.
- Update slapd.conf patch
  - Update for version of OpenLDAP 2.1.17
  - Add back_monitor enable by default
  -

* Sat Apr 12 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.17-alt0.3
- Add to CFLAGS="-DNEW_LOGGING=1" for New loggig format!!!

* Sat Apr 06 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.17-alt0.2
- Fix bdb module compile

* Sat Apr 05 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.17-alt0.1
- Update to new version 2.1.17
- Remove slapd.conf patch (we need redesign ALT-slapd.conf)

* Sun Mar 30 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.16-alt0.3
- Correct CFLAGS and LDFLAGS veraibles for build for Sisyphus. This veraibles
now EXPORTs
- Update BuildRequrs

* Mon Mar 24 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.16-alt0.2
- Add LDFLAGS and CPPFLAGS for Sysiphus correct Kerberos detection
- Add configure options:
  --with-kerberos=k5
  --enable-kpasswd

* Sat Mar 15 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.16-alt0.1
- Update to new version 2.1.16
- Rebuild against libdb4.1 and enable DBD backend

* Wed Mar 05 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.14-alt0.1
- Update to new version 2.1.14

* Wed Feb 26 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.13-alt0.1
- Update to new version 2.1.13 (Bugfix release see Changelog)
- Update RH-syslog.patch for v2.1.13
- Rename openldap-2.0.25-configure-tinfo.patch to openldap-2.0.25-ALT-configure-tinfo.patch this is ALT specific
- Remove bdb module becose in sisyphus libdb4 v4.0.14, but need v4.1
- Add Cyrus-SASL 2 support

* Mon Jan 20 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.12-alt2.2
- Add back-glue module
- Change --datadir=%%_datadir/%%name to --datadir=%%_datadir
- Add Attention message. In TODO write script to migrate from old version of OpenLDAP (2.0.27)
- Correct openldap-2.1.3-slapd.conf.patch for OpenLDAP directory bases (/var/lib/ldap/bases)

* Mon Jan 20 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.12-alt2.1
- Add --multimaster (%%configure)
- Remove alt-sasl2.patch, becouse not need with > libsasl2-2.1.10-alt1.2
- Applay recomandation from Alexander Belov <asbel@mail.ru>
  - Updated /usr/share/openldap/gencert.sh
  - Updated man pages (%%_man5dir/slapd*)
  - Include ucdata dir in package openldap-servers (%%_datadir/%%name/ucdata)
  - Add some RH patches:
    - %name-1.2.11-RH-cldap.patch
    - %name-2.1.2-RH-syslog.patch
- Rename %name-2.0.17-shell-backend-Makefile.patch to %name-2.0.17-RH-shell-backend-Makefile.patch
- Rename %name-2.0.7-schema.patch to %name-2.0.7-MDK-schema.patch and reactivate it
- Rename %name-MDK-sql.patch to %name-MDK-sql.patch

* Mon Jan 13 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.12-alt2
- Separate from one srpms support KERBEROS and SASL in diffrent packages
  If you whan to look in openldap-sasl2 and openldap-krb.
- Update BuildReq

* Fri Jan 10 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 2.1.12-alt1.1
- Updated BuildRequires

* Thu Jan 09 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.12-alt1
- Update to new release openldap-2.1.12
- Rebuild against libsasl2-2.1.10-alt1.2

* Tue Jan 07 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.11-alt2
- Enable SASL2 support
- Add patch for configure sasl2 alt-specific patch (%includedir/sasl2/*)
- Add script by Dmitry Levin find and replace for support libsasl2
  - in source files for "#include <sasl/sasl.h>" -> "#include <sasl2/sasl.h>"
  - in source files for "#ifdef HAVE_SASL_SASL_H" -> "#ifdef HAVE_SASL2_SASL_H"

* Sat Jan 04 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.11-alt1
- Update to new version 2.1.11
- Update OpenLDAP Administration Guide for 2.1 but not ganarate HTML files
- Update BuildReq

* Fri Jan 03 2003 Serge A. Volkov <vserge at altlinux dot ru> 2.1.10-alt1
- Update to new version 2.1.10
- Add debug info to standart build
- Spec cleanup
  - Create veriables for configure script COMMONFLAGS and MODULESFLAGS
  - Add veriables krb and sasl for make same packages (see doc about %%if_with)
- Remove from build two backends, becose not compile in TODO now
  - perl
  - sql

* Sun Dec 22 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.1.9-alt2
- Create different packages for SASL and Kerberos, but SASL package in work.
- Kerberos NOT Work. Need do like in postfix package.

* Sun Dec 22 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.1.9-alt1
- Update to version 2.1.9
- Add Kerberos 5 support buildin.

* Thu Oct 31 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.1.8-alt1
- Update for version 2.1.8
- Add BuildRequires: libunixODBC-devel-static
- Add dpendensise for automake_1.4 and autoconf_2.13
- Spec cleanup
  - remove install old files (ud programm)
- Remove SQL-backend module not compile -- in TODO

* Tue Aug 2 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.1.3-alt1
- First release for version 2.1.x
- Remove files in man see CHANGELOG

* Tue Jul 09 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.0.25-alt3
- Update for use terminfo with "ud" program
  - patch for configure (libtinfo)

* Wed Jun 26 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.0.25-alt2
- Add schemas from MDK %name package
  - cron.schema
  - netscape-profile.schema
  - qmailControl.schema
  - trust.schema
  - turbo.schema
  - dns.schema
- Update schemas
  - samba.schema
  - kerberosobject.schema
- schema rfc822-MailMember.schema come back to package but by default is off
- Update guide: in root guide in html by chapter and archive with sdf files
- Update patch for slapd.conf
- Fix bugs #??? according bugs.altlinux.ru

* Thu Jun 13 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.0.25-alt1
- Update to release 2.0.25
- Add courier.schema from courier-imap
- Correct Requires for libunixODBC-devel need for back-sql

* Wed Apr 17 2002 Dmitry V. Levin <ldv@altlinux.org> 2.0.23-alt4
- Dropped useless compatibility symlinks.

* Tue Apr 16 2002 Dmitry V. Levin <ldv@altlinux.org> 2.0.23-alt3
- Relocated lib{ldap,lber}.so.* from %_libdir/ to lib/
  (compatibility symlinks created).
- openldap: requires MTA.
- Build with libdb4, updated buildrequires.

* Thu Mar 21 2002 Dmitry V. Levin <ldv@altlinux.org> 2.0.23-alt2
- libldap: Conflicts: %name < %%version-%%release.
- openldap: PreReq: libldap = %%version-%%release.

* Tue Feb 19 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.0.23-alt1
- Update to 2.0.23 stable release
- Update openldap-guide last CVS version

* Wed Jan 16 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.0.21-alt1
- Update to 2.0.21 stable release

* Tue Jan 15 2002 Serge A. Volkov <vserge at altlinux dot ru> 2.0.20-alt1
- Update to 2.0.20

* Mon Jan 14 2002 Serga A. Volkov <vserge at altlinux dot ru> 2.0.19-alt1head
- Compile the CVS repository
- Add configure options:
  --with-phonetic; --enable-aci; --enable-dynamic; --enable-slurpd

* Fri Dec 21 2001 Serge A. Volkov <vserge at altlinux dot ru> 2.0.19-alt1
- Update to 2.0.19 release
- Cleanup spec

* Tue Dec 14 2001 Serge A. Volkov <vserge at altlinux dot ru> 2.0.18-alt2
- Removed "reload" function in initscript
- Update slapd.conf
- added script for corretion syslog.conf

* Fri Oct 26 2001 Serge	A. Volkov <vserge at altlinux dot ru> 2.0.18-alt1
- Update to 2.0.18

* Wed Oct 25 2001 Serge A. Volkov <vserge at altlinux dot ru> 2.0.17-alt3
- Clean up spec
- Correced slapd.conf patch

* Mon Oct 22 2001 Serge A. Volkov <vserge@altlinux,ru> 2.0.17-alt2
- Fixed compile problem patch by Peter Marshall

* Tue Oct 16 2001 Serge A. Volkov <vserge at altlinux dot ru> 2.0.17-alt1
- Fixed "export ac_cv_func_getaddrinfo=no" hack.
- Updated:
  - to release 2.0.17
  - OpenLDAP Guide last cvs

* Thu Sep 27 2001 Igor Muratov <migor@altlinux.ru> 2.0.15-alt2
- Set TLS to OpenSSL

* Fri Sep 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.15-alt2
- Specfile cleanup.
- Built with db3-3.3.11.

* Fri Sep 21 2001 Volkov A. Serge <vserge@hotbox.ru> 2.0.15-alt1
- Update to 2.0.15 release.

* Tue Sep 10 2001 Volkov A.Serge <vserge@hotbox.ru> 2.0.14-alt1
- OpenLDAP 2.0.14

* Mon Sep 10 2001 Volkov A.Serge <vserge@hotbox.ru> 2.0.13-alt1
- OpenLDAP 2.0.13

* Fri Sep 7 2001 Volkov A. Serge <vserge@hotbox.ru> 2.0.12-alt2
- Remove from this package Migration Tools package.

* Mon Sep 3 2001 Volkov A. Serge <vserge@hotbox.ru> 2.0.12-alt1
- New release 2.0.12. Add patch for not use getaddrinfo function in sources, becose it's core dumped all soft.
  Remove Red-Hat patch for 2.0.3 version, it's conflict with new sources.

* Mon Aug 6 2001 Volkov A. Serge <vserge@menatepspb.msk.ru> 2.0.11-alt1
- Clean some errors in spec. Remove the major variable it's not need in Sysiphus.

* Fri Aug 3 2001 Volkov A. Serge <vserge@menatepspb.msk.ru> 2.0.11-alt1
- Devide 4 packeges to 7 packeges. Add Guide as package. Made libldap2-static and devel.

* Wed Jul 3 2001 Volkov A. Serge <vserge@menatepspb.msk.ru> 2.0.11-alt1
- OpenLDAP 2.0.11 and Migration tool 38. It's my first redation. I look the spec file from Mandrake Linux.

* Thu May 3 2001 Rider <rider@altlinux.ru> 2.0.7-ipl4
- Migration tool 37

* Tue Apr 17 2001 Alexander Bokovoy <ab@avilink.net> 2.0.7-ipl3
- Broken ldap.init script fixed

* Thu Mar 15 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl2
- missing link to libresolv.so added

* Sun Jan 28 2001 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl1
- RE adaptions.

* Fri Dec 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- change automount object OID from 1.3.6.1.1.1.2.9 to 1.3.6.1.1.1.2.13,
  per mail from the ldap-nis mailing list

* Tue Dec  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- force -fPIC so that shared libraries don't fall over

* Mon Dec  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Norbert Klasen's patch (via Del) to fix searches using ldaps URLs
  (OpenLDAP ITS #889)
- add "-h ldaps:///" to server init when TLS is enabled, in order to support
  ldaps in addition to the regular STARTTLS (suggested by Del)

* Mon Nov 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- correct mismatched-dn-cn bug in migrate_automount.pl

* Mon Nov 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to the correct OIDs for automount and automountInformation
- add notes on upgrading

* Tue Nov  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.7
- drop chdir patch (went mainstream)

* Thu Nov  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- change automount object classes from auxiliary to structural

* Tue Oct 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to Migration Tools 27
- change the sense of the last simple patch

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- reorganize the patch list to separate MigrationTools and OpenLDAP patches
- switch to Luke Howard's rfc822MailMember schema instead of the aliases.schema
- configure slapd to run as the non-root user "ldap" (#19370)
- chdir() before chroot() (we don't use chroot, though) (#19369)
- disable saving of the pid file because the parent thread which saves it and
  the child thread which listens have different pids

* Wed Oct 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add missing required attributes to conversion scripts to comply with schema
- add schema for mail aliases, autofs, and kerberosSecurityObject rooted in
  our own OID tree to define attributes and classes migration scripts expect
- tweak automounter migration script

* Mon Oct  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- try adding the suffix first when doing online migrations
- force ldapadd to use simple authentication in migration scripts
- add indexing of a few attributes to the default configuration
- add commented-out section on using TLS to default configuration

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.6
- add buildprereq on cyrus-sasl-devel, krb5-devel, openssl-devel
- take the -s flag off of slapadd invocations in migration tools
- add the cosine.schema to the default server config, needed by inetorgperson

* Wed Oct  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the nis.schema and inetorgperson.schema to the default server config
- make ldapadd a hard link to ldapmodify because they're identical binaries

* Fri Sep 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.4

* Fri Sep 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove prereq on /etc/init.d (#17531)
- update to 2.0.3
- add saucer to the included clients

* Wed Sep  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.1

* Fri Sep  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.0
- patch to build against MIT Kerberos 1.1 and later instead of 1.0.x

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove that pesky default password
- change "Copyright:" to "License:"

* Sun Aug 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- adjust permissions in files lists
- move libexecdir from %prefix/sbin to %_sbindir

* Fri Aug 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add migrate_automount.pl to the migration scripts set

* Tue Aug  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- build a semistatic slurpd with threads, everything else without
- disable reverse lookups, per email on OpenLDAP mailing lists
- make sure the execute bits are set on the shared libraries

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- change logging facility used from local4 to daemon (#11047)

* Thu Jul 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- split off clients and servers to shrink down the package and remove the
  base package's dependency on Perl
- make certain that the binaries have sane permissions

* Mon Jul 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the init script back

* Thu Jul 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak the init script to only source /etc/sysconfig/network if it's found

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch to gdbm; I'm getting off the db merry-go-round
- tweak the init script some more
- add instdir to @INC in migration scripts

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak init script to return error codes properly
- change initscripts dependency to one on /etc/init.d

* Tue Jul  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- prereq initscripts
- make migration scripts use mktemp

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- do condrestart in post and stop in preun
- move init script to /etc/init.d

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.11
- add condrestart logic to init script
- munge migration scripts so that you don't have to be
  /usr/share/openldap/migration to run them
- add code to create pid files in /var/run

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS tweaks
- fix for compiling with libdb2

* Thu May  4 2000 Bill Nottingham <notting@redhat.com>
- minor tweak so it builds on ia64

* Wed May  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- more minimalistic fix for bug #11111 after consultation with OpenLDAP team
- backport replacement for the ldapuser patch

* Tue May  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix segfaults from queries with commas in them in in.xfingerd (bug #11111)

* Tue Apr 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.10
- add revamped version of patch from kos@bastard.net to allow execution as
  any non-root user
- remove test suite from %build because of weirdness in the build system

* Wed Apr 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the defaults for databases and whatnot to /var/lib/ldap (bug #10714)
- fix some possible string-handling problems

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- start earlier, stop later.

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- auto rebuild in new environment (release 4)

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add -D_REENTRANT to make threaded stuff more stable, even though it looks
  like the sources define it, too
- mark *.ph files in migration tools as config files

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.9

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha

